Skip to main content
POST
/
deployments
/
configurations
Create deployment configuration
curl --request POST \
  --url https://your-domain.com/api/client/v1/deployments/configurations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "yaml": "<string>",
  "description": "<string>"
}
'
{
  "ok": true,
  "configuration": {
    "id": "<string>",
    "team_id": "<string>",
    "name": "<string>",
    "yaml": "<string>",
    "spec_hash": "<string>",
    "resource_count": 123,
    "created_at": 123,
    "updated_at": 123,
    "description": "<string>",
    "latest_pushed_version_id": "<string>",
    "latest_pushed_version_number": 123,
    "latest_pushed_spec_hash": "<string>",
    "latest_pushed_at": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 64
yaml
string
required
Required string length: 1 - 65536
description
string
Maximum string length: 240

Response

Created

ok
boolean
configuration
object